
Application: gvSIG desktop - gvSIG bugs #4363
Error al convertir un polígono en WKB
09/15/2016 09:20 AM - Lluís Marqués

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Application
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2444 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al intentar convertir una geometría de tipo polígono (TYPES.POLYGON) en WKB lanza la siguiente excepción:

org.gvsig.fmap.geom.operation.GeometryOperationException: Exception executing the operation with code -1 for the geometry
with type -1.
    at org.gvsig.fmap.geom.jts.AbstractGeometry.convertToWKB(AbstractGeometry.java:388)
    at org.gvsig.raster.lib.buffer.impl.DefaultVectorROITest.testGetGeometries(DefaultVectorROITest.java:247)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:606)
    at junit.framework.TestCase.runTest(TestCase.java:154)
    at junit.framework.TestCase.runBare(TestCase.java:127)
    at junit.framework.TestResult$1.protect(TestResult.java:106)
    at junit.framework.TestResult.runProtected(TestResult.java:124)
    at junit.framework.TestResult.run(TestResult.java:109)
    at junit.framework.TestCase.run(TestCase.java:118)
    at org.eclipse.jdt.internal.junit.runner.junit3.JUnit3TestReference.run(JUnit3TestReference.java:131)
    at org.eclipse.jdt.internal.junit.runner.TestExecution.run(TestExecution.java:38)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:459)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:675)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.run(RemoteTestRunner.java:382)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.main(RemoteTestRunner.java:192)
Caused by: org.gvsig.fmap.geom.type.GeometryTypeNotSupportedException: Geometry type 19, 0 not supported.
    at org.gvsig.fmap.geom.jts.operation.towkb.OGCWKBEncoder.encode(OGCWKBEncoder.java:166)
    at org.gvsig.fmap.geom.jts.operation.towkb.OGCWKBEncoder.encode(OGCWKBEncoder.java:126)
    at org.gvsig.fmap.geom.jts.operation.towkb.OGCWKBEncoder.encode(OGCWKBEncoder.java:119)
    at org.gvsig.fmap.geom.jts.AbstractGeometry.convertToWKB(AbstractGeometry.java:386)
    ... 17 more

History
#1 - 09/15/2016 09:21 AM - Lluís Marqués
- Description updated
#2 - 03/04/2020 02:51 PM - Álvaro Anguix
- Category set to Application

#3 - 04/10/2020 05:04 PM - Álvaro Anguix
- Status changed from New to Won't fix
